const express = require('express');
const router = express.Router();
const customersController = require('../controllers/customerController');

// Get all
router.get('/', customersController.getCustomers);
router.get('/List', customersController.getCustomersList );

// Get a specific customer by ID
router.get('/:id', customersController.getCustomerById);

// Create a new customer
router.post('/', customersController.createCustomer);

// Update an existing customer
router.put('/:id', customersController.updateCustomer);

// Delete a customer
router.delete('/:id', customersController.deleteCustomer);

module.exports = router;
